# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    app.root_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za'
    app.document_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za/D0ks-beVj-6g5n-DAeE'
    app.company_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za/k0M9-54Ge-54sf-dlke'
    app.blacklist_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za/8lAk-m4oi-u87uy-X54F'
    app.connection_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za/k0n3-aA5F-a8e1-s4Z8'
    app.invoice_dir: '%kernel.project_dir%/3fi-5mB-N2E-yC7-F56-4Za/1Nv0-f54a-A58f-5x65'
    app.picture_dir: '%kernel.project_dir%/public/9Lktd9adI8OacepF'
    app.picture_relative_dir: '9Lktd9adI8OacepF'
    app.category_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/cAtag0R1PCKWVo'
    app.category_relative_dir: 'c0135DFsr45v54A/cAtag0R1PCKWVo'
    app.profile_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/9R0fIL3MouCeZ0L'
    app.profile_relative_dir: 'c0135DFsr45v54A/9R0fIL3MouCeZ0L'
    app.collection_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/DckCyb7TZr43wRzo'
    app.sells_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/sNd32KEHWpsmPwCd'
    app.banner_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/B9Fvg8yPUzvcWfJK'
    app.novelties_dir: '%kernel.project_dir%/public/c0135DFsr45v54A/nUNc97cEd9B2gmUJ'
    app.collection_relative_dir: 'c0135DFsr45v54A/DckCyb7TZr43wRzo'
    app.home_banner_dir: '%kernel.project_dir%/public/front/images/banner'
    app.public_dir: '%kernel.project_dir%/public'
    app.image_cache_dir: '%kernel.project_dir%/var/storage/cache'
    app.url: '%env(APP_URL)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        bind:
            $projectDir: '%kernel.project_dir%'
            $secret: '%kernel.secret%'

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
    monolog.formatter.session_request:
        class: Monolog\Formatter\LineFormatter
        arguments:
            - "[%%datetime%%] [%%extra.token%%] %%channel%%.%%level_name%%: %%message%% %%context%% %%extra%%\n"
    
    monolog.formatter.app_request:
        class: Monolog\Formatter\LineFormatter
        arguments:
            - "[%%datetime%%] [%%extra.token%%] %%channel%%.%%level_name%%: [%%extra.user_agent%%] [%%extra.accept%%] [%%extra.cookie%%] [%%extra.referer%%] [%%extra.uri%%] %%context%% %%extra%%\n"

    App\Logger\SessionRequestProcessor:
        tags:
            - { name: monolog.processor, handler: session_logging }
            - { name: monolog.processor, handler: app_logging }
